clang-tools 10.0.0

Namespaces | Enumerations | Functions
SymbolOrigin.h File Reference
`#include "llvm/Support/raw_ostream.h"`
`#include <cstdint>`
Include dependency graph for SymbolOrigin.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Enumerations
enum | clang::clangd::SymbolOrigin : uint8_t { clang::clangd::SymbolOrigin::Unknown = 0, clang::clangd::SymbolOrigin::AST = 1 << 0, clang::clangd::SymbolOrigin::Dynamic = 1 << 1, clang::clangd::SymbolOrigin::Static = 1 << 2, clang::clangd::SymbolOrigin::Merge = 1 << 3, clang::clangd::SymbolOrigin::Identifier = 1 << 4 }

## Functions
SymbolOrigin | clang::clangd::operator| (SymbolOrigin A, SymbolOrigin B)
SymbolOrigin & | clang::clangd::operator|= (SymbolOrigin &A, SymbolOrigin B)
SymbolOrigin | clang::clangd::operator & (SymbolOrigin A, SymbolOrigin B)
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, SymbolOrigin O)